if(!window.TabHelper)
{
    TabHelper = new Object();
    
    TabHelper.mouseOver = function(cell) {
        if (cell.className == 'TabInactive') {
            cell.className = 'TabHover';
            cell.style.backgroundColor = TabHelper.MouseOverColor;
        }
    }

    TabHelper.mouseOut = function(cell) {
        if (cell.className == 'TabHover') {
            cell.className = 'TabInactive';
            cell.style.backgroundColor = TabHelper.InactiveColor;
        }
    }
    
    TabHelper.onTabClick = function(cell, tabIndex) {
        var tabRow = cell.parentNode;
        for (var i = 1, index = 0; i < tabRow.cells.length; i = i + 2, index++) {
            var cell = tabRow.cells[i];
            if (tabIndex == index) {
                cell.className = 'TabActive';
                cell.style.backgroundColor = TabHelper.ActiveColor;
            } else {
                cell.className = 'TabInactive';
                cell.style.backgroundColor = TabHelper.InactiveColor;
            }
        }


        var tabStrip = tabRow.parentNode.parentNode.parentNode;
        var contentTable = tabStrip.childNodes[1].childNodes[0];
        for (var i = 0; i < contentTable.rows[0].cells.length; i++) {
            var cell = contentTable.rows[0].cells[i];
            if (tabIndex == i) {
                cell.style.display = 'inline';
            } else {
                cell.style.display = 'none';
            }
        }
        TabHelper.setActiveIndex(tabIndex);
    }
}