//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace XShan.DotShoppingCart.Common.Object {
    public class Measure_Weight : Measure {
        private const string SprocName = "Measure_Weight";
        public static List<Measure> GetAll() {
            return Measure.GetAll(SprocName);
        }

        public static int Add(string measureName, int sortOrder) {
            return Measure.Add(SprocName, measureName, sortOrder);
        }

        public static void Update(int Id, string measureName, int sortOrder) {
            Measure.Update(SprocName, Id, measureName, sortOrder);
        }

        public static void Delete(int Id) {
            Measure.Delete(SprocName, Id);
        }
    }
}
