<%@ Control Language="C#" AutoEventWireup="true" CodeFile="MiniCartOverview.ascx.cs" Inherits="Admin_Controls_MiniCartOverview" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>
<asp:Panel id="pnlMain" runat="server" visible="false">
    <table width="100%">
        <asp:Repeater ID="rptMiniCart" runat="server">
            <ItemTemplate>
                <tr>
                    <td>
                        <%# Eval("Quantity") %> X 
                        <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("Product.SKU")) %>">
                            <%# Eval("Product.ProductName") %></a>
        <!--
                        <asp:Repeater id="rptAttributeSelections" runat="server" datasource='<%# Eval("AttributeSelections") %>'>
                            <ItemTemplate>
                                <%# Eval("Attribute.Name") %> : <%# Eval("Value.Value") %>&nbsp;
                            </ItemTemplate>
                        </asp:Repeater>
        -->
                    </td>
                    <td style="text-align:right;">
                        <%# string.Format("{0:C}", Eval("Product.FinalPrice")) %>
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
    <hr />
    <div style="text-align:right;">
        <b>Subtotal = <asp:Label id="lblSubTotal" runat="server"></asp:Label></b>
    </div>
</asp:Panel>



