<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Admin_Catalog_Default" Title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h3>Category Statistics</h3>
    <asp:ObjectDataSource id="odsAllCategory" runat="server" typename="XShan.DotShoppingCart.Common.Object.Category" selectmethod="GetCategories">
        <SelectParameters>
            <asp:Parameter name="categoryId" type="Int32" defaultvalue="0" />
            <asp:Parameter name="levelCount" type="Int32" defaultvalue="1" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:GridView id="gvwOverview" runat="server" datasourceid="odsAllCategory" autogeneratecolumns="false" showfooter="true">
        <Columns>
            <asp:BoundField headertext="Category" footertext="Total" datafield="Name" />
            <asp:TemplateField headertext="Active Products">
                <ItemTemplate>
                    <%# GetActiveCount(GetDataItem())%>
                </ItemTemplate>
                <FooterTemplate>
                    <%# Active %>
                </FooterTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Total Products">
                <ItemTemplate>
                    <%# GetProductCount((int)Eval("CategoryId"))%>
                </ItemTemplate>
                <FooterTemplate>
                    <%# Total %>
                </FooterTemplate>
            </asp:TemplateField>
            <asp:TemplateField headertext="Product Stocks">
                <ItemTemplate>
                    <%# GetProductStock((int)Eval("CategoryId")) %>
                </ItemTemplate>
                <FooterTemplate>
                    <%# Stock %>
                </FooterTemplate>
            </asp:TemplateField>
        </Columns>
        <FooterStyle font-bold="true" />
    </asp:GridView>
</asp:Content>

