<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ConfigureCondition.ascx.cs" Inherits="Admin_Controls_ConfigureCondition" %>
<asp:GridView id="gvwCondition" runat="server" autogeneratecolumns="false" onrowdatabound="gvwCondition_RowDataBound" 
    onrowediting="gvwCondition_RowEditing" onrowcancelingedit="gvwCondition_RowCancelingEdit" onrowupdating="gvwCondition_RowUpdating"  onrowdeleting="gvwCondition_RowDeleting" >
    <Columns>
        <asp:TemplateField headertext="Property" itemstyle-width="100px">
            <ItemTemplate>
                <%# Eval("Property")%>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:DropDownList id="ddlProperty" runat="server">
                    <asp:ListItem text="Country" value="Country"></asp:ListItem>
                    <asp:ListItem text="State" value="State"></asp:ListItem>
                    <asp:ListItem text="Zipcode" value="Zipcode"></asp:ListItem>
                    <asp:ListItem text="Role" value="Role"></asp:ListItem>
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Operator" itemstyle-width="100px">
            <ItemTemplate>
                <%# Eval("ConditionOperator") %>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:DropDownList id="ddlOperator" runat="server" datatextfield="Key" datavaluefield="Value"></asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Value" itemstyle-width="200px">
            <ItemTemplate>
                <%# Eval("Value") %>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:TextBox id="txtValue" runat="server" text='<%# Eval("Value") %>' width="200px"></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField showheader="false">
            <ItemTemplate>
                <asp:Button id="btnEdit" runat="server" text="Edit" commandname="Edit" causesvalidation="false" />
                <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
            </ItemTemplate>
            <EditItemTemplate>
                <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" validationgroup="Condition" />
                <asp:Button id="btnCancel" runat="server" text="Cancel" commandname="Cancel" causesvalidation="false" />
            </EditItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>
<asp:Panel id="pnlAdd" runat="server">
    <div style="margin-top:4px;">
    <table cellpadding="0" cellspacing="0">
        <colgroup>
            <col width="100px" />
            <col width="100px" />
            <col width="190px" />
        </colgroup>
        <% if (!HasCondition) { %>
        <tr style="font-weight:bold">
            <td>
                Property
            </td>
            <td>
                Operator
            </td>
            <td>
                Value
            </td>
            <td>
            </td>
        </tr>
        <% } %>
        <tr>
            <td>
                <asp:DropDownList id="ddlProperty" runat="server" width="90px">
                    <asp:ListItem text="Country" value="Country"></asp:ListItem>
                    <asp:ListItem text="State" value="State"></asp:ListItem>
                    <asp:ListItem text="Zipcode" value="Zipcode"></asp:ListItem>
                    <asp:ListItem text="Role" value="Role"></asp:ListItem>
                </asp:DropDownList>
            </td>
            <td>
                <asp:DropDownList id="ddlAddOperator" runat="server" datatextfield="Key" datavaluefield="Value" width="90px"></asp:DropDownList>
            </td>
            <td>
                <asp:TextBox id="txtValue" runat="server" width="180px"></asp:TextBox>
            </td>
            <td>
                <asp:Button id="btnAdd" runat="server" text="Add Condition" onclick="btnAdd_Click" />
            </td>
        </tr>
    </table>
    </div>
</asp:Panel>