<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="General.aspx.cs" Inherits="Admin_Store_General" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Register tagprefix="dsc" tagname="StoreAddress" src="Controls/StoreAddress.ascx" %>
<%@ Register tagprefix="dsc" tagname="StoreEmails" src="Controls/StoreEmails.ascx" %>
<%@ Register tagprefix="dsc" tagname="StoreMetaTags" src="Controls/StoreMetaTags.ascx" %>
<%@ Register tagprefix="dsc" tagname="StoreMiscellaneous" src="Controls/StoreMiscellaneous.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-bottom:10px;">
    <div>
        <asp:ValidationSummary id="vds" runat="server" validationgroup="storeGeneral" 
            headertext="<b>The following error(s) were found:</b>" showsummary="true"/>
    </div>
    <ajaxc:TabContainer id="tbcStore" runat="server">
        <ajaxc:TabPanel id="tabAddress" runat="server" headertext="Store Address">
            <ContentTemplate>
                <dsc:StoreAddress id="storeAddress" runat="server" validationgroup="storeGeneral" errormessageprefix="Tab: Store Address -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabEmail" runat="server" headertext="Emails">
            <ContentTemplate>
                <dsc:StoreEmails id="storeEmails" runat="server" validationgroup="storeGeneral" errormessageprefix="Tab: Emails -> " />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabMeta" runat="server" headertext="Meta Tags">
            <ContentTemplate>
                <dsc:StoreMetaTags id="storeMetaTags" runat="server" />
            </ContentTemplate>
        </ajaxc:TabPanel>
        <ajaxc:TabPanel id="tabMiscellaneous" runat="server" headertext="Miscellaneous">
            <ContentTemplate>
                <dsc:StoreMiscellaneous id="storeMiscellaneous" runat="server" validationgroup="storeGeneral" errormessageprefix="Tab: Miscellaneous -> "/>
            </ContentTemplate>
        </ajaxc:TabPanel>
    </ajaxc:TabContainer>
    </div>
    <div><dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success" /></div>
    <div><asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" validationgroup="storeGeneral" /></div>
</asp:Content>


