<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Shipping.aspx.cs" Inherits="Admin_Configuration_Shipping" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ProviderConfiguration" src="Controls/ProviderConfiguration.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/Controls/TransitionalLabel.ascx" %>

<%@ Import namespace="XShan.DotShoppingCart.Common.Configuration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Repeater id="rptShippingProviders" runat="server">
        <ItemTemplate>
            <h4><asp:Label id="lblName" runat="server" text='<%# Eval("Name") %>'></asp:Label></h4>
            <asp:HiddenField id="hidType" runat="server" value='<%# Container.DataItem.GetType().ToString() %>' />
            <table style="width:100%;">
                <dsc:ProviderConfiguration id="providerConfiguration" runat="server" 
                    sectionname='<%# ShippingServiceConfigurationSection.SectionName %>' 
                    provider='<%# Container.DataItem %>' />
            </table>
        </ItemTemplate>
    </asp:Repeater>
    <div style="margin-top:20px;">
        <asp:Button ID="btnUpdateShipping" runat="server" text="Save" onclick="btnUpdateShipping_Click" />
        <dsc:TransitionalLabel id="tlbUpdateProviderStatus" runat="server" cssclass="success"/>
    </div>
</asp:Content>

