<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="StoreSetupWizard.aspx.cs" Inherits="Admin_Store_StoreSetupWizard" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="StoreAddress" src="Controls/StoreAddress.ascx" %>
<%@ Register tagprefix="dsc" tagname="StoreEmails" src="Controls/StoreEmails.ascx" %>
<%@ Register tagprefix="dsc" tagname="Theme" src="Controls/Theme.ascx" %>
<%@ Register tagprefix="dsc" tagname="Logo" src="Controls/Logo.ascx" %>
<%@ Register tagprefix="dsc" tagname="CustomParagraphs" src="Controls/CustomParagraphs.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:MultiView id="mvwStoreSetup" runat="server" activeviewindex="0">
        <asp:View id="vwStoreSetup" runat="server">
            <asp:ValidationSummary id="vds" runat="server" headertext="<b>The following error(s) were found:</b>" 
                showsummary="true"  />
            <asp:Wizard id="storeSetupWizard" runat="server"
                onnextbuttonclick="storeSetupWizard_NextButtonClick" onfinishbuttonclick="storeSetupWizard_FinishButtonClick" >
                <SideBarTemplate>
                    <asp:DataList ID="SideBarList" runat="server">
                        <ItemStyle cssclass="wizardSideBarItem" />
                        <SelectedItemStyle cssclass="wizardSideBarSelectedItem" />
                        <ItemTemplate>
                            <asp:LinkButton id="SideBarButton" runat="server" font-underline="false"></asp:LinkButton>
                        </ItemTemplate>
                    </asp:DataList>
                </SideBarTemplate>
                <WizardSteps>
                    <asp:WizardStep id="WizardStep1" runat="server" title="Address">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <div style="margin-bottom:10px;">Enter your store physical address.</div>
                            <dsc:StoreAddress id="storeAddress" runat="server" enablestoreurl="false" />
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="WizardStep2" runat="server" title="Emails">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <dsc:StoreEmails id="storeEmails" runat="server" />
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="WizardStep3" runat="server" title="Theme">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <div style="margin-bottom:10px;">Pick a theme for your store.</div>
                            <dsc:Theme id="dscTheme" runat="server" />
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="WizardStep4" runat="server" title="Custom Text">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <dsc:CustomParagraphs id="customParagraphs" runat="server" />
                        </div>
                    </asp:WizardStep>
                    <asp:WizardStep id="WizardStep5" runat="server" title="Logo">
                        <div style="margin-top:10px; margin-bottom:30px;">
                            <dsc:Logo id="logo" runat="server" />
                        </div>
                    </asp:WizardStep>
                    
                </WizardSteps>
                <StartNavigationTemplate>
                    <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext"
                         tooltip="Move to the next step." />
                </StartNavigationTemplate>
                <StepNavigationTemplate>
                    <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                        tooltip="Move to the previous step." />
                    <asp:ImageButton id="btnNext" runat="server" skinid="MoveNext" commandname="MoveNext" 
                         tooltip="Move to the next step." />
                </StepNavigationTemplate>
                <FinishNavigationTemplate>
                    <asp:ImageButton id="btnPrev" runat="server" skinid="MovePrevious" commandname="MovePrevious" 
                        tooltip="Move to the previous step." />
                    <asp:ImageButton id="btnFinish" runat="server" skinid="MoveComplete" commandname="MoveComplete" 
                         tooltip="Complete the wizard." />
                </FinishNavigationTemplate>
            </asp:Wizard>
        </asp:View>
        <asp:View id="vwSummary" runat="server">
            <div class="success" style="margin-top:10px; margin-bottom:20px;">You have successfully finished your store setup wizard!</div>
        </asp:View>

    </asp:MultiView>
</asp:Content>

