<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="AskQuestion.aspx.cs" Inherits="AskQuestion" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="ProductOverview" src="~/Controls/ProductOverview.ascx" %>
<%@ Register tagprefix="dsc" tagname="EmailTextBox" src="~/Controls/EmailTextBox.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <dsc:ProductOverview id="pdoProduct" runat="server" />
    <hr />
    <asp:ValidationSummary runat="server" showsummary="true" validationgroup="askQuestion" />
    <table>
        <tr>
            <td class="FormSectionText">Your Email Address:</td>
            <td></td>
            <td class="FormSectionValue">
                <dsc:EmailTextBox id="etbFrom" runat="server" validationgroup="askQuestion" width="600" />
                <asp:HiddenField id="hidName" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="FormSectionText">Question: <br />(1,000 characters max)</td>
            <td></td>
            <td class="FormSectionValue">
                <asp:TextBox id="txtMessage" runat="server" textmode="MultiLine" rows="10" maxlength="1000" width="600">
                </asp:TextBox>
                <asp:RequiredFieldValidator id="ftvComments" runat="server" controltovalidate="txtMessage" validationgroup="askQuestion"
                    errormessage="Question is required field.">*</asp:RequiredFieldValidator>
            </td>
        </tr>
    </table>
    <div style="text-align:center">
        <asp:Label id="lblStatus" runat="server" cssclass="success">Question has been sent.</asp:Label>
    </div>
    <div style="text-align:right; margin-top:10px;">
        <asp:Button id="btnSubmit" runat="server" text="Submit" causesvalidation="true" validationgroup="askQuestion" onclick="btnSubmit_Click" />
    </div>

</asp:Content>

