<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductDetail.ascx.cs" Inherits="Controls_ProductDetail" %>
<%@ Register tagprefix="dsc" tagname="AttributeSelection" src="AttributeSelection.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductManufacturerLine" src="ProductManufacturerLine.ascx" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<script type="text/javascript" language="javascript">
    var imageDict = new Array();
    var currentImageId = <%=Product.DefaultImageId ?? 0 %>;
    function OpenPopupWindowFromMain() {
        OpenNewPopupWindow('<%=string.Format("{0}?n={1}&imageId=", SiteNavigation.ProductImagesPage, Product.SKU) %>' + currentImageId, 800, 700);
    }
</script>

<h1><%=Product.ProductName %></h1>
<dsc:ProductManufacturerLine id="pmlManufacturer" runat="server" />
<table style="width:100%;" >
    <tr>
        <td style="width:50%;">
            <table>
                <tr style="margin-bottom:10px">
                    <td>
                        <div>
                            <a href="javascript:OpenPopupWindowFromMain()">
                                <img id="imgProduct" src="<%=FileController.GetImageUrl(Product.DefaultImageId, 400, 300)%>" alt="Click to enlarge view" />
                            </a>
                        </div>
                        <div style="margin-top:4px;margin-bottom:10px;"><a href="javascript:OpenPopupWindowFromMain()">Enlarge</a></div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:DataList id="dtlImageViewer" runat="server" repeatlayout="Table" repeatdirection="Horizontal" repeatcolumns="5"
                            itemstyle-bordercolor="Gray" itemstyle-borderstyle="Solid" itemstyle-borderwidth="1" itemstyle-width="80" itemstyle-height="70">
                            <ItemTemplate>
                                <table style="text-align:center;" cellpadding="0px" cellspacing="0px">
                                    <tr style="height:60px;">
                                        <td style="vertical-align:middle;">                                    
                                            <a href="javascript:OpenNewPopupWindow('<%#string.Format("{0}?n={1}&imageId={2}", SiteNavigation.ProductImagesPage, Product.SKU, Eval("ImageId"))%>', 800, 700)" 
                                                onmouseover="imgProduct.src='<%#FileController.GetImageUrl((int)Eval("ImageId"), 400, 300)%>'; currentImageId=<%#Eval("ImageId")%>;" >
                                                <img src="<%#FileController.GetImageUrl((int)Eval("ImageId"), 80, 60)%>" alt="Click to enlarge view" />
                                            </a>
                                        </td>
                                    </tr>
                                    <tr style="height:10px;">
                                        <td><%# Eval("Title")%></td>
                                    </tr>
                                </table>
                                <script type="text/javascript" language="javascript">
                                    imageDict['<%#Eval("Title")%>'] = '<%#FileController.GetImageUrl((int)Eval("ImageId"), 400, 300)%>';
                                </script>
                            </ItemTemplate>
                        </asp:DataList>
                    </td>
                </tr>
            </table>
        </td>
        <td style="width:50%;">
            <table>
                <tr>
                    <td>
                        <asp:Table id="tblProductInformation" runat="server">
                            <asp:TableRow id="rowCrossPrice" runat="server">
                                <asp:TableCell>
                                    <asp:Label id="lblCrossPriceTitle" runat="server">Retail Price:</asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label id="lblCrossPrice" runat="server" cssclass="retailprice"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow id="rowCurrentPrice" runat="server">
                                <asp:TableCell>
                                    <asp:Label id="lblCurrentPriceTitle" runat="server" font-bold="true"></asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label id="lblCurrentPrice" runat="server" cssclass="ourprice"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow id="rowYouSave" runat="server" visible="false">
                                <asp:TableCell>
                                    <asp:Label id="lblSaveTitle" runat="server">You Save:</asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label id="lblSave" runat="server" cssclass="ourprice"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                            <asp:TableRow id="TableRow3" runat="server">
                                <asp:TableCell>
                                    <asp:Label id="lblAvailabilityTitle" runat="server">Availability:</asp:Label>
                                </asp:TableCell>
                                <asp:TableCell>
                                    <asp:Label id="lblAvailability" runat="server"><%=Product.ShipEstimate.Estimate%></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <dsc:AttributeSelection id="AttributeSelection1" runat="server" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="HookLine">
        <h3>Short Description:</h3>
        <%=Product.ShortDescription %>
        </td>
    </tr>
</table>