<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SelectCreditcardPaymentMethod.ascx.cs" Inherits="Controls_SelectCreditcardPaymentMethod" %>
<%@ Register tagprefix="dsc" tagname="CreditCardInput" src="CreditCardInput.ascx" %>

<asp:Panel id="pnlCreditCardPayment" runat="server">
    <asp:GridView id="gvwExistingCreditCards" runat="server" autogeneratecolumns="false" datakeynames="CreditCardId" onrowdatabound="gvwExistingCreditCards_RowDataBound" 
        onselectedindexchanging="gvwExistingCreditCards_SelectedIndexChanging" borderwidth="0" headerstyle-horizontalalign="left" width="100%">
        <Columns>
            <asp:TemplateField headertext="Pay With existing card" headerstyle-font-bold="true" itemstyle-width="180px" >
                <ItemTemplate>
                    <%# Eval("CreditCardType.Type") %>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField datafield="MaskedCardNumber" headertext="Credit Card No." itemstyle-width="150px" />
            <asp:BoundField datafield="CardHolderName" headertext="Cardholder's Name" itemstyle-width="150px" />
            <asp:TemplateField headertext="Expiration Date" itemstyle-width="150px">
                <ItemTemplate>
                    <asp:ObjectDataSource id="odsMonth" runat="server" typename="XShan.DotShoppingCart.Common.Object.Month" selectmethod="GetMonthsInYear">
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlExpireMonth" runat="server" datasourceid="odsMonth" datatextfield="TwoDigitals" datavaluefield="TwoDigitals">
                    </asp:DropDownList>
                    <asp:ObjectDataSource id="odsYear" runat="server" typename="XShan.DotShoppingCart.Common.Object.Year" selectmethod="GetNextYears">
                    </asp:ObjectDataSource>
                    <asp:DropDownList id="ddlExpireYear" runat="server" datasourceid="odsYear" datatextfield="YearIn4Digials" datavaluefield="YearIn4Digials">
                    </asp:DropDownList>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:ButtonField buttontype="Button" itemstyle-horizontalalign="Right" text="Pay with this card" commandname="Select" />
        </Columns>
    </asp:GridView>


    <h4>Pay with new card</h4>
    <div><asp:ValidationSummary id="newCreditCardInputValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" 
        showsummary="true" validationgroup="newCreditCardInput" /></div>
    <dsc:CreditCardInput id="creditCardInput" runat="server" validationgroup="newCreditCardInput" />
    <div style="text-align:right"><asp:Button id="btnPayWithNewCard" runat="server" text="Pay with new card" validationgroup="newCreditCardInput" 
        onclick="btnPayWithNewCard_Click" /></div>
</asp:Panel>
