<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="Untitled Page" %>
<%@ MasterType virtualpath="~/site.master" %>
<%@ Register tagprefix="dsc" tagname="ParagraphDisplay" src="~/controls/ParagraphDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductList" src="~/controls/ProductList.ascx" %>
<%@ Register tagprefix="dsc" tagname="HtmlEditor" src="~/Controls/HtmlEditor.ascx" %>

<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <asp:Panel id="pnlEmptyPage" runat="server" visible="false">Page doesn't exist.</asp:Panel>
    <asp:Repeater id="rptParagraph" runat="server" onitemdatabound="rptParagraph_ItemDataBound" >
        <ItemTemplate>
            <asp:Panel id="pnlParagraph" runat="server">
                <dsc:ParagraphDisplay id="prgParagraph" runat="server" content='<%# Eval("ResolvedText") %>' />
            </asp:Panel>
            <asp:Panel id="pnlShowEdit" runat="server">
                <asp:HiddenField id="hidSortOrder" runat="server" value='<%# Eval("SortOrder") %>' />
                <asp:Panel id="PopupMenu" runat="server" cssclass="popupMenu">
                    <div><asp:Button id="btnEdit" runat="server" width="100px" text="Edit" /></div>
                    <div><asp:Button id="btnDelete" runat="server" width="100" text="Delete" commandname="Delete" commandargument='<%# Eval("ParagraphId") %>' oncommand="ParagraphCommand" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDelete" runat="server" targetcontrolid="btnDelete" confirmtext="Are you sure you want to delete this paragraph?" />
                    </div>
                </asp:Panel>
                <ajaxc:HoverMenuExtender id="hmeParagraph" runat="Server" hovercssclass="popupHover"
                    popupcontrolid="PopupMenu" popupposition="Right" offsetx="-100" targetcontrolid="pnlParagraph" popdelay="25" />

                <ajaxc:ModalPopupExtender id="mpeParagraph" runat="server" targetcontrolid="btnEdit" 
                    popupcontrolid="pnlParagraphEdit" backgroundcssclass="modalBackground" dropshadow="true"
                    cancelcontrolid="btnCancel" >
                </ajaxc:ModalPopupExtender>
                <asp:Panel ID="pnlParagraphEdit" runat="server" CssClass="modalPopup" style="display:none;" width="800px" >
                    <div class="title">
                        Edit Paragraph
                    </div>
                    <div class="body">
                        <dsc:HtmlEditor id="edtParagraph" runat="server" width="100%"  height="600px" text='<%# Eval("Text") %>' />
                    </div>
                    <div class="buttons">
                        <asp:Button id="btnSave" runat="server" text="Save" commandname="Save" commandargument='<%# Eval("ParagraphId") %>' oncommand="ParagraphCommand" />
                        <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
                    </div>
                </asp:Panel>
            </asp:Panel>
        </ItemTemplate>
    </asp:Repeater>
    <asp:Panel id="pnlShowAdd" runat="server">
        <asp:Button id="btnAddParagraph" runat="server" text="Add Paragraph"  />
        <ajaxc:ModalPopupExtender id="mpeParagraph" runat="server" targetcontrolid="btnAddParagraph" 
            popupcontrolid="pnlParagraphAdd" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnCancel" >
        </ajaxc:ModalPopupExtender>
        <asp:Panel ID="pnlParagraphAdd" runat="server" CssClass="modalPopup" style="display:none;" width="800px" >
            <div class="title">
                Add Paragraph
            </div>
            <div class="body">
                <dsc:HtmlEditor id="edtParagraph" runat="server" width="100%" height="600px" />
            </div>
            <div class="buttons">
                <asp:Button id="btnSave" runat="server" text="Save" commandname="Add" oncommand="ParagraphCommand" />
                <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
            </div>
        </asp:Panel>
    </asp:Panel>

    <asp:Panel id="pnlFeatured" runat="server">
        <div class="sectionheader">
            <a href='<%= SiteNavigation.ProductsPage + "?type=0" %>'>Our Feature Products:</a>
        </div>
        <div>
            <dsc:ProductList id="pdlFeatured" runat="server" type="Featured" enablecache="true" />
        </div>
    </asp:Panel>
</asp:Content>

