<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="ItemAddedToCart.aspx.cs" Inherits="ItemAddedToCart" Title="Untitled Page" %>
<%@ MasterType virtualpath="~/site.master" %>
<%@ Register tagprefix="dsc" tagname="MiniCart" src="controls/MiniCart.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductInCart" src="controls/ProductInCart.ascx" %>
<%@ Register tagprefix="dsc" tagname="ParagraphBox" src="~/controls/ParagraphBox.ascx" %>

<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <table style="width:100%; margin-top:10px;">
        <tr>
            <td style="width:180px;">
                <div style="margin-right:5px; padding: 0px 5px 5px 5px; border-width:1px; border-style:solid;">
                    <dsc:ParagraphBox id="prgPolicy" runat="server" title="Edit Checkout Policy" />
                </div>
            </td>
            <td style="width:95%;">
                <div><asp:Label id="lblNotEnoughStock" runat="server" skinid="NotEnoughStock" visible="false"></asp:Label></div>
                <dsc:ProductInCart id="ProductInCart1" runat="server" />
                <div style="text-align:right; margin-top:10px;">
                    <input id="btnContinueShopping" runat="server" type="button" value="Continue Shopping" /> 
                    <input type="button" value="Estimate Shipping" onclick='<%= string.Format("OpenNewPopupWindow(\"{0}\", 400, 400)", SiteNavigation.ShippingEstimatorPage) %>' /> 
                </div>
                <hr />
            </td>
            <td>
                <dsc:MiniCart id="MiniCart1" runat="server" />
            </td>
        </tr>
    </table>
</asp:Content>

