<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="ProductsOverview.aspx.cs" Inherits="ProductsOverview" Title="Product Overview" %>
<%@ Register tagprefix="dsc" tagname="ParagraphBox" src="~/controls/ParagraphBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductList" src="~/controls/ProductList.ascx" %>

<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <div style="margin-bottom:10px;"><dsc:ParagraphBox id="prgProductsHeader" runat="server" title="Edit Products Page Header" /></div>
    <asp:Panel id="pnlFeature" runat="server">
        <div class="sectionheader">
            Featured Products: &nbsp;&nbsp;&nbsp;
            <a href='<%= SiteNavigation.ProductsPage + "?type=0" %>'>More >></a>
        </div>
        <div>
            <dsc:ProductList id="pdlFeatured" runat="server" type="Featured" enablecache="false" />
        </div>
    </asp:Panel>
    <asp:Panel id="pnlNew" runat="server">
        <div class="sectionheader">
            New Products: &nbsp;&nbsp;&nbsp;
            <a href='<%= SiteNavigation.ProductsPage + "?type=1" %>'>More >></a>
        </div>
        <div>
            <dsc:ProductList id="pdlNew" runat="server" type="New" enablecache="false" />
        </div>
    </asp:Panel>
    <asp:Panel id="pnlSale" runat="server">
        <div class="sectionheader">
            Sale Products: &nbsp;&nbsp;&nbsp;
            <a href='<%= SiteNavigation.ProductsPage + "?type=2" %>'>More >></a>
        </div>
        <div>
            <dsc:ProductList id="pdlSale" runat="server" type="Sale" enablecache="false" />
        </div>
    </asp:Panel>
</asp:Content>

