//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;

using XShan.DotShoppingCart.Common.Object;

namespace XShan.DotShoppingCart.Tax {
    [Serializable]
    public class TableBasedTaxRate {
        private List<Condition> conditions;
        private decimal rate;
        private string name;

        public string Name {
            get { return name; }
            set { name = value; }
        }

        public decimal Rate {
            get { return rate; }
            set { rate = value; }
        }
        public List<Condition> Conditions {
            get { return conditions; }
            set { conditions = value; }
        }

        public TableBasedTaxRate(string name, List<Condition> conditions, decimal rate) {
            this.name = name;
            this.conditions = conditions;
            this.rate = rate;
        }
    }
}
