<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductLists.ascx.cs" Inherits="Admin_Store_Controls_ProductLists" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>

<table>
    <tr>
        <td class="FormSectionText" style="width:350px;">Show Product Count in Category List:</td>
        <td>*</td>
        <td class="FormSectionValue"><asp:CheckBox id="chkShowProductCount" runat="server" />
        </td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of Featured Products in Homepage:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbFeaturedInHomepage" runat="server" required="true" 
                minimumvalue="0" maximumvalue="1000" width="100px" />
            (Use 0 to disable showing featured products in homepage.)
        </td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of Products Per Category Page:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbCategoryPage" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of Featured Products in Overview Page:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbFeaturedOverview" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of New Products in Overview Page:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbNewOverview" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of Sale Products in Overview Page:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbSaleOverview" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The width of Product Grid in Product List:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductSummaryGridWidth" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The height of Product Grid in Product List:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductSummaryGridHeight" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The width of Product Image in Product List:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductSummaryImageWidth" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The height of Product Image in Product List:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductSummaryImageHeight" runat="server" required="true" 
                minimumvalue="1" maximumvalue="1000" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of the columns in Product List:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbProductListColumns" runat="server" required="true" 
                minimumvalue="1" maximumvalue="10" width="100px" /></td>
    </tr>
    <tr>
        <td class="FormSectionText" style="width:350px;">The number of Products in the Top Seller SideBox:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:NumberTextBox id="ntbTopSellerProductCount" runat="server" required="true" 
                minimumvalue="1" maximumvalue="5" width="100px" /></td>
    </tr>

</table>