<%@ Control Language="C#" AutoEventWireup="true" CodeFile="LoginMenu.ascx.cs" Inherits="Controls_LayoutPanels_LoginMenu" %>
<%@ Import Namespace="XShan.DotShoppingCart.Common" %>

<asp:LoginView ID="lvTop" runat="server">
    <AnonymousTemplate>
        <ul>
	        <li class="first"><a href="<%=SiteNavigation.CartPage%>"><img src="<%=FileController.GetFileUrl("cart.gif")%>"  alt=""/> My Cart <asp:Label id="lblCart" runat="server"></asp:Label></a></li>
	        <li><a href="<%=SiteNavigation.LoginPage %>">Log In</a></li>
	        <li><a href="<%=SiteNavigation.RegisterPage %>">Register</a></li>
        </ul>                
    </AnonymousTemplate>
    <LoggedInTemplate>
        <ul>
            <li class="first">Welcome Back <%=Page.User.Identity.Name %>!</li>
            <li><a href="<%=SiteNavigation.CartPage%>"><img src="<%=FileController.GetFileUrl("cart.gif")%>" alt=""/> My Cart <asp:Label id="lblCart" runat="server"></asp:Label></a></li>
            <li><a href="<%=SiteNavigation.MyAccountPage%>">My Account</a></li>
            <li><asp:LinkButton ID="lnkLogout" CausesValidation="false" runat="server" Text="Log out" OnClick="lnkLogout_Click"></asp:LinkButton></li>
        </ul>             
    </LoggedInTemplate>
</asp:LoginView>
