<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductReviewSideBox.ascx.cs" Inherits="Controls_LayoutPanels_ProductReviewSideBox" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<div style="text-align:center; padding-top:5px;">
    <asp:Panel id="pnlProductReview" runat="server">
        <div>
            <a href="<%# SiteNavigation.GetRewriterUrl("Product", Review.Product.SKU) %>">
                <img alt="" src="<%# FileController.GetImageUrl(Review.Product.DefaultImageId, 100, 80) %>" />
            </a>
        </div>
        <div style="padding-top:8px; width:70px;">
            <ajaxc:Rating id="ratMain" runat="server" currentrating='<%# Review.Rating %>' maxrating="5" starcssclass="ratingStar" waitingstarcssclass="savedRatingStart"
                filledstarcssclass="filledRatingStar" emptystarcssclass="emptyRatingStar" readonly="true"></ajaxc:Rating>
        </div>
        <div style="padding-top:6px; text-align:left;"><%# Review.Comments.Length > 100 ? Review.Comments.Substring(0, 100) : Review.Comments %> ...</div>
    </asp:Panel>
    <div><a href="<%# SiteNavigation.ProductReviewAllPage %>">View All</a></div>
</div>