<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ParagraphBox.ascx.cs" Inherits="Controls_ParagraphBox" %>
<%@ Register tagprefix="dsc" tagname="ParagraphDisplay" src="~/controls/ParagraphDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="HtmlEditor" src="~/Controls/HtmlEditor.ascx" %>
<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Panel id="pnlParagraph" runat="server">
    <dsc:ParagraphDisplay id="prgDisplay" runat="server" />
</asp:Panel>
<asp:Panel id="pnlShowEdit" runat="server" visible="false">
    <asp:Panel id="PopupMenu" runat="server" cssclass="popupMenu">
        <div><asp:Button id="btnEdit" runat="server" width="100px" text="Edit" /></div>
    </asp:Panel>
    <ajaxc:HoverMenuExtender id="hmeParagraph" runat="Server" hovercssclass="popupHover"
        popupcontrolid="PopupMenu" popupposition="Right" offsetx="-100" targetcontrolid="pnlParagraph" popdelay="25" />

    <ajaxc:ModalPopupExtender id="mpeParagraph" runat="server" targetcontrolid="btnEdit" 
        popupcontrolid="pnlParagraphEdit" backgroundcssclass="modalBackground" dropshadow="true"
        cancelcontrolid="btnCancel" >
    </ajaxc:ModalPopupExtender>
    <asp:Panel ID="pnlParagraphEdit" runat="server" CssClass="modalPopup" style="display:none;" width="800px" >
        <div class="title">
            <asp:Label id="lblTitle" runat="server" />
        </div>
        <div class="body">
            <dsc:HtmlEditor id="edtParagraph" runat="server" width="100%" height="600px" />
        </div>
        <div class="buttons">
            <asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" />
            <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
        </div>
    </asp:Panel>
</asp:Panel>
