<%@ Control Language="C#" AutoEventWireup="true" CodeFile="PaymentSummary.ascx.cs" Inherits="Controls_PaymentSummary" %>
<%@ Import namespace="XShan.DotShoppingCart.Common.Object" %>

<asp:MultiView id="mvwPayment" runat="server" >
    <asp:View id="vwCreditCard" runat="server">
        <table width="100%">
            <tr>
                <td>
                    <asp:Label id="lblCreditCard" runat="server"></asp:Label>
                </td>
                <td style="text-align:right">
                    <asp:Button id="btnView" runat="server" text="View" />

                    <ajaxc:ModalPopupExtender id="mpeView" runat="server" targetcontrolid="btnView" 
                        popupcontrolid="pnlView" backgroundcssclass="modalBackground" dropshadow="true"
                        cancelcontrolid="btnCancel" >
                    </ajaxc:ModalPopupExtender>
                    <asp:Panel ID="pnlView" runat="server" CssClass="modalPopup" style="display:none;" width="400px" >
                        <div class="title">
                            <table width="100%">
                                <tr>
                                    <td>View Credit Card</td>
                                    <td style="text-align:right"><asp:ImageButton id="btnCancel" runat="server" causesvalidation="false" /></td>
                                </tr>
                            </table>
                        </div>
                        <div class="body">
                            <ajax:UpdatePanel id="udpView" runat="server">
                                <ContentTemplate>
                                    <asp:MultiView id="mvwCreditCardView" runat="server" activeviewindex="0" >
                                        <asp:View id="vwPassword" runat="server">
                                            <table>
                                                <tr>
                                                    <td>Enter your password:</td>
                                                    <td>
                                                        <asp:TextBox id="txtPassword" runat="server" textmode="Password" width="200"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                        </asp:View>
                                        <asp:View id="vwCreditCardNumber" runat="server">
                                            <div style="text-align:left;">
                                                <asp:Label id="lblFullCreditCardNumber" runat="server"></asp:Label>
                                            </div>
                                        </asp:View>
                                    </asp:MultiView>
                                    <div style="height:10px;"></div>
                                    <div class="buttons">
                                        <asp:Button id="btnOk" runat="server" text="Ok" onclick="btnOk_Click" />
                                    </div>
                                </ContentTemplate>
                            </ajax:UpdatePanel>
                        </div>
                    </asp:Panel>
                </td>
            </tr>
        </table>
    </asp:View>
    <asp:View id="vwPaypalExpress" runat="server">
        <div>Paypal Express</div>
    </asp:View>
    <asp:View id="vwGoogleCheckout" runat="server">
        <div>Google Checkout</div>
        <div>Google Order#: <asp:Label id="lblGoogleOrderNumber" runat="server" font-bold="true"></asp:Label></div>
    </asp:View>
    <asp:View id="vwNull" runat="server">
    </asp:View>
    <asp:View id="vwPaypalStandard" runat="server">
        <div>Paypal Standard</div>
    </asp:View>
</asp:MultiView>
