<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductReviews.ascx.cs" Inherits="Controls_ProductReviews" %>
<%@ Register tagprefix="dsc" tagname="ProductReviewDetail" src="~/controls/ProductReviewDetail.ascx" %>

<hr class="light" />
<h2>Customer Reviews:</h2>
<asp:Panel id="pnlOverallRating" runat="server" visible="false">
    <table>
        <tr>
            <td>Total Reviews: <asp:Label id="lblReviewCount" runat="server" font-bold="true"></asp:Label></td>
            <td>
                <ajaxc:Rating id="ratOverall" runat="server" starcssclass="ratingStar" waitingstarcssclass="savedRatingStart"
                    filledstarcssclass="filledRatingStar" emptystarcssclass="emptyRatingStar" readonly="true"></ajaxc:Rating>
            </td>
        </tr>
    </table>
</asp:Panel>
<div>
    Share your thoughts with other customers
    <asp:ImageButton id="btnWriteReview" runat="server" skinid="writeYourOwnReview" />
</div>

<asp:Repeater id="rptReviews" runat="server">
    <ItemTemplate>
        <dsc:ProductReviewDetail runat="server" productreview='<%# Container.DataItem %>' />
    </ItemTemplate>
</asp:Repeater>
