<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeFile="ProductReviewAll.aspx.cs" Inherits="ProductReviewAll" Title="Untitled Page" %>
<%@ MasterType virtualpath="~/site.master" %>
<%@ Register tagprefix="dsc" tagname="ProductReviewDetail" src="~/controls/ProductReviewDetail.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductOverview" src="~/Controls/ProductOverview.ascx" %>

<%@ Import namespace="XShan.DotShoppingCart.Common" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" Runat="Server">
    <asp:ObjectDataSource id="odsReviews" runat="server" typename="XShan.DotShoppingCart.Common.Object.ProductReview"
        selectmethod="GetAll" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetAllCount" 
        startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
        <SelectParameters>
            <asp:Parameter name="productReviewStatusId" defaultvalue="2"  />
        </SelectParameters>
    </asp:ObjectDataSource>
    <div style="margin-top:4px;">
        <dsc:DSCGridView id="gvwReviews" runat="server" datasourceid="odsReviews" autogeneratecolumns="false" showheader="false"
            allowsorting="true" allowpaging="true" pagesize="10" showrownumber="true">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <dsc:ProductOverview id="pdoProduct" runat="server" product='<%# Eval("Product") %>' />
                        <dsc:ProductReviewDetail runat="server" productreview='<%# Container.DataItem %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </dsc:DSCGridView>
    </div>
</asp:Content>

